OperatorBool.h File Reference
`#include <Alembic/Util/Foundation.h>`
Include dependency graph for OperatorBool.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | ALEMBIC_OPERATOR_BOOL(PASS_COND)
#define | ALEMBIC_OVERRIDE_OPERATOR_BOOL(PASS_COND)

## Macro Definition Documentation

## ALEMBIC_OPERATOR_BOOL

#define ALEMBIC_OPERATOR_BOOL | ( |  | PASS_COND | ) |

Value:
void __unspecified_bool_type_fcn() const {} \
typedef void (this_type::*unspecified_bool_type)() const; \
operator unspecified_bool_type() const \
{ \
return ( PASS_COND ) ? &this_type::__unspecified_bool_type_fcn : 0; \
} \
bool operator! () const \
{ \
return !( PASS_COND ); \
}

Definition at line 42 of file OperatorBool.h.

## ALEMBIC_OVERRIDE_OPERATOR_BOOL

#define ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( |  | PASS_COND | ) |

Value:
operator unspecified_bool_type() const \
{ \
return ( PASS_COND ) ? \
&operator_bool_base_type::__unspecified_bool_type_fcn : 0; \
} \
bool operator! () const \
{ \
return !( PASS_COND ); \
}

Definition at line 56 of file OperatorBool.h.